
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.SalaryEntity;
import org.sky.scientific.pojo.vo.SalaryVO;
import java.util.Objects;

/**
 * 技术人员工资表 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-19
 */
public class SalaryWrapper extends BaseEntityWrapper<SalaryEntity, SalaryVO> {

	public static SalaryWrapper build() {
		return new SalaryWrapper();
 	}

	@Override
	public SalaryVO entityVO(SalaryEntity salary) {
		SalaryVO salaryVO = Objects.requireNonNull(BeanUtil.copyProperties(salary, SalaryVO.class));

		//User createUser = UserCache.getUser(salary.getCreateUser());
		//User updateUser = UserCache.getUser(salary.getUpdateUser());
		//salaryVO.setCreateUserName(createUser.getName());
		//salaryVO.setUpdateUserName(updateUser.getName());

		return salaryVO;
	}


}
